package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据集参数对象 md_data_set_param
 * 
 * @author 朱得糠
 * @date 2025-09-03
 */
public class MdDataSetParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据集代码 */
    @Excel(name = "数据集代码")
    private String dcCode;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paramCode;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;

    /** 参数类型 */
    @Excel(name = "参数类型")
    private String paramType;

    /** 参数示例值 */
    @Excel(name = "参数示例值")
    private String paramValue;

    /** 参数说明 */
    @Excel(name = "参数说明")
    private String paramNote;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    public void setDcCode(String dcCode) 
    {
        this.dcCode = dcCode;
    }

    public String getDcCode() 
    {
        return dcCode;
    }
    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }
    public void setParamName(String paramName) 
    {
        this.paramName = paramName;
    }

    public String getParamName() 
    {
        return paramName;
    }
    public void setParamType(String paramType) 
    {
        this.paramType = paramType;
    }

    public String getParamType() 
    {
        return paramType;
    }
    public void setParamValue(String paramValue) 
    {
        this.paramValue = paramValue;
    }

    public String getParamValue() 
    {
        return paramValue;
    }
    public void setParamNote(String paramNote) 
    {
        this.paramNote = paramNote;
    }

    public String getParamNote() 
    {
        return paramNote;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dcCode", getDcCode())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("paramType", getParamType())
            .append("paramValue", getParamValue())
            .append("paramNote", getParamNote())
            .append("sort", getSort())
            .toString();
    }
}
